#/bin/bash
set -e
if [[ "${OSTYPE}" == "darwin"* ]]; then
	export nbproc=`sysctl -n hw.physicalcpu`
else
	export nbproc=`nproc`	
fi
INSTALL_PREFIX="$1"

if [ -z "$1" ]
then
	if [ -z ${CONDA_ENV_PATH} ]
	then
		if [ -z ${CONDA_PREFIX} ]
		then
			INSTALL_PREFIX="${HOME}/usr"
		else
			INSTALL_PREFIX=${CONDA_PREFIX}
		fi
	else
		INSTALL_PREFIX=${CONDA_ENV_PATH}
	fi
fi
git pull
if [ -d build ]
then
	rm -fr build
fi
mkdir -p build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX="${INSTALL_PREFIX}" -DPHOENIX_FORCE_PULL_MODULE=yes
make -j ${nbproc}
make install -j ${nbproc}

